version: '3.4'

services:
  tomcat:
    image: tomcat:8
    hostname: tomcat
    container_name: tomcat
    restart: always
    ports:
      - "${TOMCAT_PORT}:8080"
    volumes:
      - webapp:/usr/local/tomcat/webapps
    depends_on:
      - mbm_el
  memo:
    hostname: mbm_el
    container_name: mbm_el
    build:
      context: ".."
      dockerfile: "docker/Dockerfile"
    volumes:
      - webapp:/root/war
volumes:
  webapp:
    driver:
      local
